﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using GTA.Native;
using GTA;

namespace GTAV_F22Helper
{
    public static class Scripts
    {
        public static void RequestScriptAudioBank(string name)
        {
            while (!Function.Call<bool>(Hash.REQUEST_SCRIPT_AUDIO_BANK, name, 0))
                Script.Wait(0);
        }

        public static void RequestPTFXAsset(string name)
        {
            if (!Function.Call<bool>(Hash.HAS_NAMED_PTFX_ASSET_LOADED, name))
            {
                Function.Call(Hash.REQUEST_NAMED_PTFX_ASSET, name);

                while (!Function.Call<bool>(Hash.HAS_NAMED_PTFX_ASSET_LOADED, name))
                    Script.Wait(0);
            }
        }

        public static uint GetPedVehicleWeapon(Ped ped)
        {
            var outArg = new OutputArgument();
            Function.Call(Hash.GET_CURRENT_PED_VEHICLE_WEAPON, ped.Handle, outArg);
            return (uint)outArg.GetResult<int>();
        }
    }
}
